Bug 134214 - Missing symbols on opensymbol font
Summary: Missing symbols on opensymbol font
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 32418 49990 73593 Fonts-Bundled
  Show dependency treegraph
 
Reported: 2020-06-22 03:02 UTC by dante19031999
Modified: 2021-08-06 08:24 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dante19031999 2020-06-22 03:02:58 UTC
There are some symbols missing on opensymbol. They are requiered for LO math improvment. The list is on her (on exception of some of them):
https://en.wikipedia.org/wiki/Blackboard_bold
Note: the really one important is: U+2119 for setp.
Comment 1 BogdanB 2020-06-22 18:43:07 UTC Comment hidden (obsolete)
Comment 2 BogdanB 2020-06-22 18:43:19 UTC Comment hidden (obsolete)
Comment 3 V Stuart Foote 2020-06-22 22:37:54 UTC
(In reply to BogdanB from comment #1)
> All alphabet letters in OpenSymbol characters are just rectangles, the same
> shape.

That is not incorrect.

That simply means the font does not "cover" those Unicode glyphs.  Any font chart program, or even LibreOffice's own Special Character dialog will show the actual coverage of the font.

For its use as source for glyph symbols for formulas, bullets, reference marks it is probably not necessary to have full coverage of Latin or Cyrillic blocks.  But coverage of the Greek & Coptic Unicode blocks should probably be filled out.

Also, providing full set of glyphs for these Unicode blocks would make sense: 

Superscripts and Subscripts -- U+2070–U+209F

Currency -- U+20a0-U+20cf

Letterlike Symbols -- U+2100–U+214F

Number Forms -- U+2150–U+218F

Miscellaneous Technical -- U+2300–U+23FF

Miscellaneous Symbols -- U+2600–U+26FF

Mathematical Alphanumeric Symbols -- U+1D400–U+1D7FF

Miscellaneous Symbols and Pictographs -- U+1F300–U+1F5FF

Emoticons -- U+1F600–U+1F64F

Supplemental Symbols and Pictographs -- U+1F900–U+1F9FF

Those with some mix of Combining diacritics, and Arrow blocks to round out the OpenSymbol font and reducing or removing its PUA glyphs.
Comment 4 Roman Kuznetsov 2021-07-24 18:07:05 UTC
https://gerrit.libreoffice.org/c/core/+/105769
Comment 5 Buovjaga 2021-08-03 12:49:20 UTC
Dante: would you like to close this as fixed? :)
Comment 6 dante19031999 2021-08-06 08:23:14 UTC
(In reply to Buovjaga from comment #5)
> Dante: would you like to close this as fixed? :)

Yes, we can. That will avoid this issue.